summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--doc/handbook/chapters/developer.texi4
-rw-r--r--doc/handbook/chapters/installation.texi17
-rw-r--r--po/POTFILES.in2
3 files changed, 16 insertions, 7 deletions
diff --git a/doc/handbook/chapters/developer.texi b/doc/handbook/chapters/developer.texi
index bd7e5c9d6..06f369502 100644
--- a/doc/handbook/chapters/developer.texi
+++ b/doc/handbook/chapters/developer.texi
@@ -8897,6 +8897,10 @@ connected peers.
The adapted sampler makes sure that each request for random peers is
independent from the others.
+@menu
+* Brahms::
+@end menu
+
@node Brahms
@subsection Brahms
The high-level concept of Brahms is two-fold: Combining push-pull gossip
diff --git a/doc/handbook/chapters/installation.texi b/doc/handbook/chapters/installation.texi
index 3d2b4960e..d73b0f348 100644
--- a/doc/handbook/chapters/installation.texi
+++ b/doc/handbook/chapters/installation.texi
@@ -229,8 +229,13 @@ system-wide DNS interception, NAT traversal using ICMP) will not work.
$ sudo make install
@end example
-@node Extra installation step: NSS plugin
-@subsection Extra installation step: NSS plugin
+@menu
+* NSS plugin (Optional)::
+* Installing the GNS Certificate Authority (Optional)::
+@end menu
+
+@node NSS plugin (Optional)
+@subsection NSS plugin (Optional)
@cartouche
The installation of the NSS plugin is only necessary if GNS
@@ -275,8 +280,8 @@ The exact details may differ a bit, which is fine. Add the text
hosts: files gns [NOTFOUND=return] mdns4_minimal [NOTFOUND=return] dns mdns4
@end example
-@node Extra installation step: installing the GNS Certificate Authority
-@subsection Extra installation step: installing the GNS Certificate Authority
+@node Installing the GNS Certificate Authority (Optional)
+@subsection Installing the GNS Certificate Authority (Optional)
@cartouche
Installing the GNS certificate authority is only necessary if GNS shall
@@ -1929,8 +1934,8 @@ background. Attention: This only works if a recent version of GNUnet is
installed on your system. The version number of Ascension is chosen according
to the required feature level of GNUnet. I.e. Ascension 0.11.5 is only
compatible with GNUnet 0.11.5 and upwards. As Debian's packages for GNUnet are
-outdated even in experimental, you will need to install GNUnet manually.
-@xref{Installing GNUnet}
+outdated even in experimental, you will need to install GNUnet manually
+@xref{Installing GNUnet}.
Please check @xref{Migrating an existing DNS zone into GNS}, for usage manual
of the tool.
diff --git a/po/POTFILES.in b/po/POTFILES.in
index 5df13c66e..3e36eef07 100644
--- a/po/POTFILES.in
+++ b/po/POTFILES.in
@@ -232,7 +232,7 @@ src/namestore/gnunet-service-namestore.c
src/namestore/gnunet-zoneimport.c
src/namestore/namestore_api.c
src/namestore/namestore_api_monitor.c
-src/namestore/plugin_namestore_heap.c
+src/namestore/plugin_namestore_flat.c
src/namestore/plugin_namestore_postgres.c
src/namestore/plugin_namestore_sqlite.c
src/namestore/plugin_rest_namestore.c